NAME

    gtsrcprob - Computes source component probabilities for event data.


USAGE

    gtsrcprob evfile scfile outfile srdmdl irfs


DESCRIPTION

    For each event in a photon file, this tool assigns the probabilities
    that the event belongs to each of the sources in an xml model
    definition. gtdiffrsp must be run on the input FT1 file prior to
    using this tool if any diffuse sources are in the model.


PARAMETERS

    evfile [filename]
         This is the input file containing the event data. 
                 
    (evtable) [string]
         Event table extension name. Default is "EVENTS".
                 
    scfile [filename]
         Spacecraft data file containing information such as the spacecraft
         pointing as a function of time. This file could be generated by
         gtorbsim for simulated observations (see gtorbsim help for further
         explanation) or more commonly it can be obtained from the FSSC
         website. 
                 
    (sctable) [string]
         Spacecraft data extension. Default is "SC_DATA".
                 
    outfile [filename]
         The output photon file with columns added for each source
         containing the probabilities.
                 
    srcmdl [filename]
         XML file containing the source model definitions.  This is the
         same source model file used by gtlike or the pyLikelihood
         python tools.
                 
     evtype [integer]
   	  The evtype to be used in generating the bacground data. The
   	  default is INDEF which will use the default in the input
   	  file. This can be overridded by entering the desired event
   	  type e.g. 3 for FRONT + BACK events. 

    irfs [string]
	 Instrument response functions. The instrument response (PSF, effective
	 area, energy resolution) is currently a function of energy,
	 inclination angle (the angle between the source and the LAT normal)
	 and photon category. Since the LAT will usually survey the sky, a
	 source will be observed at different inclination angles. Each count
	 will therefore be characterized by a different instrument response
	 function (IRF). The default value is the lastest available IRF, e.g. 
	 "P7SOURCE_V6".

    (srclist) [filename]
         ASCII list of sources to include in the output. When set to
         "none" (default), probabilities for all sources in the XML file are
         included in the output. If the user is only interested in a
         subset of those sources, then in order to save space on output
         and execution time, that subset may be specified via this
         file. Each source should be listed on a separate line.
                 
    (chatter) [integer]  
         This parameter fixes the output verbosity: no screen output (0),
         nominal screen output (2), maximum verbosity (4). Default is "2".

    (clobber) [boolean]
         If true, an existing file of the same name will be overwritten. 
         Default is "yes".
    
    (debug) [boolean]
         Activate debugging mode. Default is "no". When debug is "no", all 
         exceptions that are not caught and
         handled by individual tool-specific code are caught by a top-level
         exception handler that displays information about the exception and
         then exits. When debug is "yes", such exceptions are not caught by the
         top level code. Instead the tool produces a segmentation violation,
         which is more useful for debugging. When debugging mode is enabled,
         the tool produces more verbose output describing any errors or
         exceptions that are encountered.
    
    (gui) [boolean]
         Graphical User Interface (GUI) mode is activated if set to "yes".
         Default is "no".
    
    (mode) [string]
         Mode of automatic parameters: "h" for batch, "ql" for interactive. 
         Default is "ql".


EXAMPLES

    The way that the parameters are passed follows the FTOOLs model. They
    could be passed by answering from a prompt, as a list in a command
    line, or by modifying the parameter file. The command line option
    facilitates calling gtselect from a script.
 
    To prompt for gtsrcprob type in the command line: 

> gtsrcprob 

    This will prompt for parameter values. Not all parameter are prompted: 
    some of them are "hidden". To change one of the "hidden" parameter, 
    the user should specify the values in the command line or modify its 
    mode by editing the parameter file. 
    For example, to prevent overwrite the existing output file, the following 
    command line as to be typed:
 
> gtsrcprob clobber=no  
 
    This is an example of how to run the tool: 
    It will only compute the probabilities for the sources
    included in srclist.txt. Setting that to blank will compute the
    probability for all the sources in the xml model. 

> gtsrcprob srclist=srclist.txt evfile=input_events.fits \
  scfile=input_SC00.fits outfile=output_events.fits\
  srcmdl=input_model.xml irfs=P6_V3_DIFFUSE


KNOWN BUGS


SEE ALSO

     gtdiffrsp
     
     gtorbsim
     
     gtlike
     
     gtselect
 
